body {
    font-family: sans-serif;
    text-align: center;
    margin: 1em 0;
}

h1,
h2 {
    margin-bottom: 1em;
}

button {
    margin-bottom: 1em;
    padding: .75em 1.5em;
    font-size: 1.2rem;
    background: chartreuse;
    font-weight: bold;
    border-radius: 10px;
}

.grid {
    display: flex;
    flex-wrap: wrap;
    border: 5px solid black;
    height: 400px;
    width: 800px;
    margin: 0 auto;
}

.snake_square {
    width: 20px;
    height: 20px;
    background: rgb(119, 245, 239);
    flex-grow: 1;
}

.snake {
    background: green;
}

.food {
    background-image: radial-gradient(farthest-side at 50% 50%,blue,white,red,rgb(119, 245, 239));
}


.game-over {
    border: 2px solid black;
    background: red;
    text-align: center;
    color: black;
    font-weight: bold;
    padding: 0.75em;
    width:15%;
    margin: 0 auto;
    position: absolute;
    left: 40%;
    top: 55%;
    opacity: 1;
    display: none;
}

.copyright {
    font-size: 0.7rem;
    font-style: italic;
    margin-top: 4em;
    margin-right: 3em;
    text-align: right;
}

.mobile-container {
    display: none;
}

.left-arrow,
.right-arrow,
.up-arrow, 
.down-arrow{
    width: 0;
    height: 0;
}
  
.left-arrow {
    border-right: 20px solid black;
    border-top: 20px solid transparent;
    border-bottom: 20px solid transparent;
}
  
.down-arrow {
    margin-top: 0.5rem;
    border-right: 20px solid transparent;
    border-top: 20px solid red;
    border-left: 20px solid transparent;
}
  
.up-arrow {
    margin-top: 0.5rem;
    border-right: 20px solid transparent;
    border-bottom: 20px solid green;
    border-left: 20px solid transparent;
}
  
.right-arrow {
    border-top: 20px solid transparent;
    border-bottom: 20px solid transparent;
    border-left: 20px solid blue;
}

@media (max-width: 725px) {

    body {
        margin: 0.5em;
    }

    h2 {
        margin: 0;
    }

    button {
        z-index: 1;
        position: absolute;
        top: 30%;
        left: 30%;
        padding: .75em 1.5em;
        font-size: 1.2rem;
        background: chartreuse;
        font-weight: bold;
        border-radius: 10px;
    }

    .desktop-heading {
        display: none;
    }
    .mobile-container {
        margin: 1em;
        display: flex;
        justify-content: space-evenly;
    }

    .grid {
        position: relative;
        height: 600px;
        width: 360px;
        margin: 0 auto;
        margin-top: 0.2em;
    }

    .copyright {
        text-align: center;
        margin: 0;
    }

    .game-over {
        top: 40%;
        left: 38%;
        width: 20%;
    }
}
